Bug 195834 - WPA connections not functional on ipw2100
WPA connections not functional on ipw2100
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: wpa_supplicant (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-18 09:28 EDT by Gerard Braad
Modified: 2008-03-12 02:01 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-12 02:01:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gerard Braad 2006-06-18 09:28:42 EDT
Description of problem:
I experience problems when connecting to WPA enabled access points with ipw2100.
Connection works with WEP enabled.

Version-Release number of selected component (if applicable):
wpa_supplicant 0.4.8 on kernel 2133_1.FC5
NetworkManager 

How reproducible:
connecting to any WPA or WPA2 enabled router. Tested on two DD-WRT (WRT54G)
enabled routers with mixed mode (tkip+aes), stock WRT54GC with mixed mode and
WPA enabled Sitecom WL-114

  
Actual results:
Jun 18 13:50:32 defiance kernel: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
Jun 18 13:50:33 defiance NetworkManager: <information>	Activation (eth0) started... 
Jun 18 13:50:33 defiance NetworkManager: <information>	Activation (eth0) Stage 1
of 5 (Device Prepare) scheduled... 
Jun 18 13:50:33 defiance NetworkManager: <information>	Activation (eth0) Stage 1
of 5 (Device Prepare) started... 
Jun 18 13:50:33 defiance NetworkManager: <information>	Activation (eth0) Stage 2
of 5 (Device Configure) scheduled... 
Jun 18 13:50:33 defiance NetworkManager: <information>	Activation (eth0) Stage 1
of 5 (Device Prepare) complete. 
Jun 18 13:50:33 defiance NetworkManager: <information>	Activation (eth0) Stage 2
of 5 (Device Configure) starting... 
Jun 18 13:50:33 defiance NetworkManager: <information>	Activation
(eth0/wireless): access point 'router.gbraad.nl' is encrypted, but NO valid key
exists.  New key needed. 
Jun 18 13:50:33 defiance NetworkManager: <information>	Activation (eth0) New
wireless user key requested for network 'router.gbraad.nl'. 
Jun 18 13:50:33 defiance NetworkManager: <information>	Activation (eth0) Stage 2
of 5 (Device Configure) complete. 
Jun 18 13:50:42 defiance NetworkManager: <information>	Activation (eth0) New
wireless user key for network 'router.gbraad.nl' received. 
Jun 18 13:50:42 defiance NetworkManager: <information>	Activation (eth0) Stage 1
of 5 (Device Prepare) scheduled... 
Jun 18 13:50:42 defiance NetworkManager: <information>	Activation (eth0) Stage 1
of 5 (Device Prepare) started... 
Jun 18 13:50:42 defiance NetworkManager: <information>	Activation (eth0) Stage 2
of 5 (Device Configure) scheduled... 
Jun 18 13:50:42 defiance NetworkManager: <information>	Activation (eth0) Stage 1
of 5 (Device Prepare) complete. 
Jun 18 13:50:42 defiance NetworkManager: <information>	Activation (eth0) Stage 2
of 5 (Device Configure) starting... 
Jun 18 13:50:42 defiance NetworkManager: <information>	Activation
(eth0/wireless): access point 'router.gbraad.nl' is encrypted, and a key exists.
 No new key needed. 
Jun 18 13:50:43 defiance NetworkManager: <information>	SUP: sending command
'INTERFACE_ADD eth0		wext	/var/run/wpa_supplicant	' 
Jun 18 13:50:43 defiance NetworkManager: <information>	SUP: response was 'OK' 
Jun 18 13:50:43 defiance NetworkManager: <information>	SUP: sending command
'AP_SCAN 1' 
Jun 18 13:50:43 defiance NetworkManager: <information>	SUP: response was 'OK' 
Jun 18 13:50:43 defiance NetworkManager: <information>	SUP: sending command
'ADD_NETWORK' 
Jun 18 13:50:43 defiance NetworkManager: <information>	SUP: response was '0' 
Jun 18 13:50:43 defiance NetworkManager: <information>	SUP: sending command
'SET_NETWORK 0 ssid 726f757465722e6762726161642e6e6c' 
Jun 18 13:50:43 defiance NetworkManager: <information>	SUP: response was 'OK' 
Jun 18 13:50:43 defiance NetworkManager: <information>	SUP: sending command
'SET_NETWORK 0 proto WPA2' 
Jun 18 13:50:43 defiance NetworkManager: <information>	SUP: response was 'OK' 
Jun 18 13:50:43 defiance NetworkManager: <information>	SUP: sending command
'SET_NETWORK 0 key_mgmt WPA-PSK' 
Jun 18 13:50:43 defiance NetworkManager: <information>	SUP: response was 'OK' 
Jun 18 13:50:43 defiance NetworkManager: <information>	SUP: sending command
'SET_NETWORK 0 psk <key>' 
Jun 18 13:50:43 defiance NetworkManager: <information>	SUP: response was 'OK' 
Jun 18 13:50:43 defiance NetworkManager: <information>	SUP: sending command
'SET_NETWORK 0 pairwise CCMP' 
Jun 18 13:50:43 defiance NetworkManager: <information>	SUP: response was 'OK' 
Jun 18 13:50:43 defiance NetworkManager: <information>	SUP: sending command
'SET_NETWORK 0 group CCMP' 
Jun 18 13:50:43 defiance NetworkManager: <information>	SUP: response was 'OK' 
Jun 18 13:50:43 defiance NetworkManager: <information>	SUP: sending command
'ENABLE_NETWORK 0' 
Jun 18 13:50:43 defiance NetworkManager: <information>	SUP: response was 'OK' 
Jun 18 13:50:43 defiance NetworkManager: <information>	Activation (eth0) Stage 2
of 5 (Device Configure) complete. 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
Global control interface '/var/run/wpa_supplicant-global' 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830): RX
global ctrl_iface - hexdump_ascii(len=49): 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):  
   49 4e 54 45 52 46 41 43 45 5f 41 44 44 20 65 74   INTERFACE_ADD et 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):  
   68 30 09 09 77 65 78 74 09 2f 76 61 72 2f 72 75   h0__wext_/var/ru 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):  
   6e 2f 77 70 61 5f 73 75 70 70 6c 69 63 61 6e 74   n/wpa_supplicant 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):  
   09                                                _                
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
CTRL_IFACE GLOBAL INTERFACE_ADD 'eth0		wext	/var/run/wpa_supplicant	' 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
Initializing interface 'eth0' conf 'N/A' driver 'wext' ctrl_interface
'/var/run/wpa_supplicant' 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
Initializing interface (2) 'eth0' 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
EAPOL: SUPP_PAE entering state DISCONNECTED 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
EAPOL: KEY_RX entering state NO_KEY_RECEIVE 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
EAPOL: SUPP_BE entering state INITIALIZE 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
EAP: EAP entering state DISABLED 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
EAPOL: External notification - portEnabled=0 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
EAPOL: External notification - portValid=0 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
SIOCGIWRANGE: WE(compiled)=19 WE(source)=18 enc_capa=0xf 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):  
capabilities: key_mgmt 0xf enc 0xf 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
Own MAC address: 00:04:23:82:9c:f6 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
wpa_driver_wext_set_wpa 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830): =0
key_idx=0 set_tx=0 seq_len=0 key_len=0 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
wpa_driver_wext_set_key: alg=0 key_idx=1 set_tx=0 seq_len=0 key_len=0 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
wpa_driver_wext_set_key: alg=0 key_idx=2 set_tx=0 seq_len=0 key_len=0 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
wpa_driver_wext_set_key: alg=0 key_idx=3 set_tx=0 seq_len=0 key_len=0 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
wpa_driver_wext_set_countermeasures 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
wpa_driver_wext_set_drop_unencrypted 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
Setting scan request: 0 sec 100000 usec 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
Added interface eth0 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
Wireless event: cmd=0x8b06 len=8 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830): RX
ctrl_iface - hexdump_ascii(len=9): 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):  
   41 50 5f 53 43 41 4e 20 31                        AP_SCAN 1        
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830): RX
ctrl_iface - hexdump_ascii(len=11): 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):  
   41 44 44 5f 4e 45 54 57 4f 52 4b                  ADD_NETWORK      
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
CTRL_IFACE: ADD_NETWORK 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830): RX
ctrl_iface - hexdump_ascii(len=51): 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):  
   53 45 54 5f 4e 45 54 57 4f 52 4b 20 30 20 73 73   SET_NETWORK 0 ss 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):  
   69 64 20 37 32 36 66 37 35 37 34 36 35 37 32 32   id 726f757465722 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):  
   65 36 37 36 32 37 32 36 31 36 31 36 34 32 65 36   e6762726161642e6 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):  
   65 36 63                                          e6c              
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
e='ssid' value='726f757465722e6762726161642e6e6c' 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
ssid - hexdump_ascii(len=16): 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):  
   72 6f 75 74 65 72 2e 67 62 72 61 61 64 2e 6e 6c   router.gbraad.nl 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830): RX
ctrl_iface - hexdump_ascii(len=24): 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):  
   53 45 54 5f 4e 45 54 57 4f 52 4b 20 30 20 70 72   SET_NETWORK 0 pr 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):  
   6f 74 6f 20 57 50 41 32                           oto WPA2         
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
CTRL_IFACE: SET_NETWORK id=0 name='proto' value='WPA2' 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
proto: 0x2 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830): RX
ctrl_iface - hexdump_ascii(len=30): 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):  
   53 45 54 5f 4e 45 54 57 4f 52 4b 20 30 20 6b 65   SET_NETWORK 0 ke 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):  
   79 5f 6d 67 6d 74 20 57 50 41 2d 50 53 4b         y_mgmt WPA-PSK   
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
CTRL_IFACE: SET_NETWORK id=0 name='key_mgmt' value='WPA-PSK' 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
key_mgmt: 0x2 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830): RX
ctrl_iface - hexdump_ascii(len=82): [REMOVED] 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
CTRL_IFACE: SET_NETWORK id=0 name='psk' value='[REMOVED]' 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
PSK - hexdump(len=32): [REMOVED] 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830): RX
ctrl_iface - hexdump_ascii(len=27): 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):  
   53 45 54 5f 4e 45 54 57 4f 52 4b 20 30 20 70 61   SET_NETWORK 0 pa 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):  
   69 72 77 69 73 65 20 43 43 4d 50                  irwise CCMP      
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
se' value='CCMP' 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
pairwise: 0x10 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
State: DISCONNECTED -> SCANNING 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
Starting AP scan (broadcast SSID) 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830): RX
ctrl_iface - hexdump_ascii(len=24): 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):  
   53 45 54 5f 4e 45 54 57 4f 52 4b 20 30 20 67 72   SET_NETWORK 0 gr 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):  
   6f 75 70 20 43 43 4d 50                           oup CCMP         
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
CTRL_IFACE: SET_NETWORK id=0 name='group' value='CCMP' 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
group: 0x10 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830): RX
ctrl_iface - hexdump_ascii(len=16): 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):  
   45 4e 41 42 4c 45 5f 4e 45 54 57 4f 52 4b 20 30   ENABLE_NETWORK 0 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
CTRL_IFACE: ENABLE_NETWORK id=0 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
Setting scan request: 0 sec 0 usec 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
Starting AP scan (broadcast SSID) 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830): RX
ctrl_iface - hexdump_ascii(len=6): 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):  
   41 54 54 41 43 48                                 ATTACH           
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
CTRL_IFACE monitor attached - hexdump(len=43): 2f 76 61 72 2f 72 75 6e 2f 4e 65
74 77 6f 72 6b 4d 61 6e 61 67 65 72 2f 77 70 61 5f 63 74 72 6c 5f 31 36 37 34 32
2d 37 00 00 00 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
Scan timeout - try to get results 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
Received 1995 bytes of scan results (8 BSSes) 
Jun 18 13:50:46 defiance NetworkManager: <information>	wpa_supplicant(16830):
Scan results: 8 
Jun 18 13:50:47 defiance NetworkManager: <information>	wpa_supplicant(16830):
Selecting BSS from priority group 0 
Jun 18 13:51:03 defiance NetworkManager: <information>	Activation
(eth0/wireless): association took too long (>20s), failing activation. 
Jun 18 13:51:03 defiance NetworkManager: <information>	Activation (eth0) failure
scheduled... 
Jun 18 13:51:03 defiance NetworkManager: <information>	Activation (eth0) failed
for access point (router.gbraad.nl) 
Jun 18 13:51:03 defiance NetworkManager: <information>	Activation (eth0) failed. 
Jun 18 13:51:03 defiance NetworkManager: <information>	Deactivating device eth0. 
Jun 18 13:51:05 defiance kernel: bridge-eth0: is a Wireless Adapter


Additional info:
WEP connections are functional
Comment 1 Dan Williams 2007-12-06 18:42:59 EST
Is this still an issue with F8?
Comment 2 petrosyan 2008-03-12 02:01:04 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.